.project-members-title {
  padding-bottom: 10px;
  border-bottom: 1px solid $border-color;
}

.users-project-form {
  .btn-create {
    margin-right: 10px;
  }
}

.member-sort-dropdown {
  margin-left: $gl-padding-8;
}

.member {
  &.is-overriden {
    .btn-ldap-override {
      display: none !important;
    }
  }

  .list-item-name {
    @include media-breakpoint-up(sm) {
      float: left;
      width: 50%;
    }

    strong {
      font-weight: $gl-font-weight-bold;
    }
  }

  .controls {
    @include media-breakpoint-up(sm) {
      display: -webkit-flex;
      display: flex;
    }

    .dropdown-menu.dropdown-menu-right {
      margin-top: -2px;
    }
  }

  .form-group {
    margin-bottom: 0;

    @include media-breakpoint-down(sm) {
      display: block;
      margin-left: 5px;
    }
  }

  .btn-remove {
    width: 100%;

    @include media-breakpoint-up(sm) {
      width: auto;
    }
  }

  &.existing-title {
    @include media-breakpoint-up(sm) {
      float: left;
    }
  }
}

.member-form-control {
  @include media-breakpoint-down(sm) {
    width: $dropdown-member-form-control-width;
    margin-left: 0;
    padding-bottom: 5px;
  }

  @include media-breakpoint-down(xs) {
    margin-right: 0;
    width: auto;
  }
}

.member-access-text {
  margin-left: auto;
  line-height: 43px;
}

.member-search-form {
  position: relative;

  @include media-breakpoint-up(sm) {
    float: right;
  }

  .dropdown {
    width: 100%;
    margin-top: 5px;

    .dropdown-menu-toggle {
      vertical-align: middle;
      width: 100%;
    }

    @include media-breakpoint-up(sm) {
      margin-top: 0;
      width: 155px;
    }
  }

  .form-control {
    width: 100%;
    padding-right: 35px;

    @include media-breakpoint-up(sm) {
      width: 250px;
    }
  }
}

.member-search-btn {
  position: absolute;
  right: 4px;
  top: 0;
  height: 35px;
  padding-left: 10px;
  padding-right: 10px;
  color: $gray-darkest;
  background: transparent;
  border: 0;
  outline: 0;
}

.members-ldap {
  -webkit-align-self: center;
  align-self: center;
  height: 100%;
  margin-right: 10px;
  margin-left: -49px;
}

.alert-member-ldap {
  background-color: $ldap-members-override-bg;

  @include media-breakpoint-up(sm) {
    line-height: 40px;
  }

  > p {
    float: left;
    margin-bottom: 10px;
    color: $orange-600;

    @include media-breakpoint-up(sm) {
      padding-left: 55px;
      margin-bottom: 0;
    }
  }

  .controls {
    width: 100%;

    @include media-breakpoint-up(sm) {
      width: auto;
    }
  }
}

.btn-ldap-override {
  width: 100%;

  @include media-breakpoint-up(sm) {
    margin-left: 10px;
    width: auto;
  }
}

.flex-project-members-panel {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;

  @include media-breakpoint-down(sm) {
    display: block;

    .flex-project-title {
      vertical-align: top;
      display: inline-block;
      max-width: 90%;
    }
  }

  .flex-project-title {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  .badge.badge-pill {
    height: 17px;
    line-height: 16px;
    margin-right: 5px;
    padding-top: 1px;
    padding-bottom: 1px;
  }

  .flex-project-members-form {
    flex-wrap: nowrap;
    white-space: nowrap;
    margin-left: auto;
  }
}

.card {
  .card-header {
    .badge.badge-pill {
      margin-top: 0;
    }

    @include media-breakpoint-down(sm) {
      .badge.badge-pill {
        margin-right: 0;
        margin-left: 0;
      }
    }
  }
}

.content-list.members-list li {
  display: flex;
  justify-content: space-between;

  .list-item-name {
    float: none;
    display: flex;
    flex: 1;
  }

  .user-info {
    padding-right: 10px;
  }

  .member {
    font-weight: $gl-font-weight-bold;
    overflow-wrap: break-word;
    word-break: break-all;
  }

  .member-group-link {
    display: inline-block;
  }

  .form-control {
    width: inherit;
  }

  .btn {
    align-self: flex-start;
  }

  @include media-breakpoint-down(xs) {
    display: block;

    .controls > .btn {
      margin-left: 0;
      margin-right: 0;
      display: block;
    }

    .controls > .btn:last-child {
      margin-left: 5px;
      margin-right: 5px;
      width: auto;
    }

    .form-control {
      width: 100%;
    }

    .member-access-text {
      line-height: 0;
      margin-left: 50px;
    }

    .member-controls {
      margin-top: 5px;
    }
  }
}

.card-mobile {
  .content-list.members-list li {
    display: block;

    .member-controls {
      float: none;
      display: block;
    }

    .dropdown-menu-toggle,
    .dropdown-menu,
    .form-control,
    .list-item-name {
      width: 100%;
    }

    .dropdown-menu {
      margin-top: 0;
    }

    .member-form-control {
      margin: 5px 0;
    }

    .btn {
      width: 100%;
      margin-left: 0;
    }
  }
}
